Distorted Android - Bug #18

DISTORT effect: disappearing triangles
07/16/2016 12:08 AM - Leszek Koltunski

Status: Closed Start date: 07/16/2016
Priority: Normal Due date:

Assignee: Leszek Koltunski % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Fire up the 'Vertex3D' app

Choose a DistortedCubes object

Add a Distort Effect

move the 'x' (or'y') slider so that it distorts the center point exactly to the edge of the Cubes object

Near the distorted center, some triangles will disappear. Only happens with DistortedCubes, not Bitmap.

History

#1 - 07/17/2016 12:03 AM - Distorted Admin

This is because when we are dragging the center exactly to the edge and current vertex is on this edge, then
1) the degree 'd' of the current vertax is 0

2) Vector of force w = -ps

3) ps!=0 thus dt=dot(ps,ps)>0.0

and then in the 'distort' function there is the denominator which becomes 0:

(dt + (1.0-d)*dot(w,ps) + (sign(dt)-1.0) ) = dot(ps,ps) + (1.0-0.0)*dot(-ps,ps) + 1.0-1.0 = dot(ps,ps) + dot(-ps,ps) = 0.0

and the whole thing explodes.

#2 - 07/17/2016 09:29 PM - Distorted Admin
- Status changed from New to Closed

- Assignee set to Leszek Koltunski

Fixed in library|30925500

#3 - 04/13/2018 12:19 AM - Distorted Admin
- % Done changed from 0 to 100
https://distorted.org/redmine/projects/distorted-android/repository/library/revisions/309255000265069b2c667f7a0845c697dc6d3333
